export var convertActionToBase64 = function (action) {
    return Buffer.from(JSON.stringify(action)).toString('base64');
};
export var createCache = function () {
    var items = {};
    var add = function (action, value) {
        items[convertActionToBase64(action)] = value;
    };
    var remove = function (action) {
        delete items[convertActionToBase64(action)];
    };
    var get = function (action) {
        return items[convertActionToBase64(action)];
    };
    return {
        add: add,
        get: get,
        items: items,
        remove: remove,
    };
};
