import { Action } from './action.types';
export declare type Client<R = any> = {
    query: <T>(action: Action<R>) => Promise<QueryResponse<T>>;
};
export declare type ClientOptions<T> = {
    requestInterceptors?: Array<RequestInterceptor<T>>;
    responseInterceptors?: Array<ResponseInterceptor<T, any>>;
};
export declare type QueryResponse<T = any> = {
    status?: number;
    error: boolean;
    errorObject?: any;
    payload?: T;
    headers?: Headers;
};
export declare type RequestInterceptor<T = any> = () => (action: Action<T>) => Promise<Action<T>>;
export declare type ResponseInterceptor<T = any, R = any> = () => (action: Action<T>, response: QueryResponse<R>) => Promise<QueryResponse<R>>;
