import { useContext, useEffect } from 'react';
import { createCache } from '../../cache/cache';
import { ClientContext } from '../../context/clientContext';
var cache = createCache();
export var useSuspenseQuery = function (action) {
    var clientContext = useContext(ClientContext);
    var cacheItem = cache.get(action);
    useEffect(function () {
        return function () {
            cache.remove(action);
        };
    }, []);
    if (cacheItem) {
        if (cacheItem.response) {
            return cacheItem.response;
        }
        throw cacheItem.fetch;
    }
    var fetch = clientContext.query(action).then(function (res) {
        cache.add(action, {
            fetch: fetch,
            response: res,
        });
    });
    cache.add(action, {
        fetch: fetch,
    });
    throw fetch;
};
